//librerie per il modulo radio
#include <SPI.h>     
#include <Mirf.h>     
#include <nRF24L01.h> 
#include <MirfHardwareSpiDriver.h> 

int clacson=14;

void setup() {
  //setup per motore e sterzo
  pinMode(2,OUTPUT);
  pinMode(3,OUTPUT);
  pinMode(4,OUTPUT);
  pinMode(5,OUTPUT);
  pinMode(6,OUTPUT);
  
  Serial.begin(9600);

  //setup del modulo radio
  Mirf.cePin = 9;
  Mirf.csnPin = 10; 
  Mirf.spi = &MirfHardwareSpi; 
  Mirf.init(); 
  Mirf.channel = 1;
  Mirf.payload = sizeof(float); 
  Mirf.config();
  Mirf.setTADDR((byte *) "radi1"); 
  Mirf.setRADDR((byte *) "radio"); 

  Serial.println("Reception of the value :"); 
  
}

void loop() {
  //recezione del valore tramite modulo radio
  float value;

  if(Mirf.dataReady()){
    Mirf.getData((byte *) &value); 
    Serial.println(value); 
  }

  int x;

  if(value>10000) {
    tone(clacson,500);
    x=value-10000;
    
  }

  else{
    noTone(clacson);
  }

  if(value<1000){
    digitalWrite(5,LOW);
    digitalWrite(6,LOW);
    x=value;
    
  }
  else if (value<2000){
    digitalWrite(5,HIGH);
    digitalWrite(6,LOW);
    x=value-1000;
  }
  else if (value<3000){
    digitalWrite(6,HIGH);
    digitalWrite(5,LOW);
    x=value-2000;
  }


  if(x>30&&x<100){
    //avanti
    analogWrite(3,255);
    digitalWrite(2,HIGH);
    digitalWrite(4,LOW);
    digitalWrite(5,LOW);
    digitalWrite(6,LOW);
  }
  else if(x<30||x>330){
    //fermo
    digitalWrite(2,LOW);
    digitalWrite(4,LOW);
  }
  else if(x<330&&x>260){
    //indietro
    analogWrite(3,255);
    digitalWrite(2,LOW);
    digitalWrite(4,HIGH);
    digitalWrite(5,LOW);
    digitalWrite(6,LOW);
  }
   
    
}
